<?php

/**------------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier config_data_acces.php
*
* Ce fichier contient les définitions de constantes communes permettant au système (accés aux données) de fonctionner
*
* @author Rooty <www.rooty.me|rooty@rooty.me>
* @link www.rooty.me
* @since 2018/04/02
* @version 0.2
* @package commun
* @subpackage config
* @copyright Copyright &copy; 2009-2018, Rooty
*/

#####################################################################################################
################################# Paramétrage
#####################################################################################################
/**
* déclaration du système... si cette variable n'est pas définie, les fichier inclus ne marcheront pas...
* cette variable est déclarée sur la page d'exécution du script.
*<p> if ( !defined('SYSTEM_IN') )
* {
* die("Hacking attempt");
* }</p>
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

##########################################################################################
# Configuration générale des éléments
##########################################################################################
/* définition de la version de structure de BD (pour le systeme) */
define ('DATA_ACCES_TABLE_VERSION', 1);

/* définition du préfixe des tables système */
define ('DATA_ACCES_TABLE_PREFIX', "sys_");

/* définition du préfixe des tables de configuration
* Une table servant pour un package sera donc de la forme : DATA_ACCES_CONFIG_PREFIX.DATA_ACCES_TABLE_PREFIX
*/
define ('DATA_ACCES_CONFIG_PREFIX', "config_");

/* définition du préfixe des tables package 
* Une table servant pour un package sera donc de la forme : DATA_ACCES_PACKAGE_PREFIX.DATA_ACCES_TABLE_PREFIX
*/
define ('DATA_ACCES_PACKAGE_PREFIX', "package_");

/* définition du préfixe des tables object 
* Une table servant pour un package sera donc de la forme : DATA_ACCES_OBJECT_PREFIX.DATA_ACCES_TABLE_PREFIX
*/
define ('DATA_ACCES_OBJECT_PREFIX', "object_");

/* définition du préfixe des tables data 
* Une table servant pour un package sera donc de la forme : DATA_ACCES_OBJECT_PREFIX.DATA_ACCES_TABLE_PREFIX
*/
define ('DATA_ACCES_DATA_PREFIX', "data_");

##########################################################################################
# Configuration de la langue
##########################################################################################
/* Configuration des sessions utilisateur */
define ('DATA_ACCES_MANAGER_USER_SESSION', "db");
define ('DATA_ACCES_TABLE_USER_SESSION', DATA_ACCES_TABLE_PREFIX ."session");

##########################################################################################
# Configuration de la langue
##########################################################################################
/* Défini la ressource utilisée par la classe Langue (gére la langue d'affichage de l'utilisateur) */
define ('DATA_ACCES_MANAGER_LANGUAGE', "db");
define ('DATA_ACCES_DEFAUT_LANGUAGE', 1);	/* identifiant de la langue par défaut */
define ('DATA_ACCES_TABLE_LANGUAGE', DATA_ACCES_TABLE_PREFIX ."langue");

##########################################################################################
# Configuration des noeuds
##########################################################################################
/* Défini la ressource utilisée par la classe Node (qui gére un élément de l'arborescence) */
define ('DATA_ACCES_MANAGER_NODE', "db");
define ('DATA_ACCES_TABLE_NODE', DATA_ACCES_TABLE_PREFIX ."node");

##########################################################################################
# Configuration des USER
##########################################################################################
/* Défini la ressource utilisée par la classe User (qui gére les utilisateurs) */
define ('DATA_ACCES_MANAGER_USER', "db");
define ('DATA_ACCES_TABLE_USER', DATA_ACCES_TABLE_PREFIX ."user");

##########################################################################################
# Configuration des USER
##########################################################################################
/* Défini la ressource utilisée par la classe User (qui gére les utilisateurs) */
define ('DATA_ACCES_MANAGER_USER_PREFERENCE', "db");
define ('DATA_ACCES_TABLE_USER_PREFERENCE', DATA_ACCES_TABLE_PREFIX ."user_preference");

##########################################################################################
# Configuration des groups
##########################################################################################
/* Défini la ressource utilisée par la classe Group (qui gére l'entité group du site) */
define ('DATA_ACCES_MANAGER_GROUP', "db");
define ('DATA_ACCES_TABLE_GROUP', DATA_ACCES_TABLE_PREFIX ."group");

##########################################################################################
# Configuration des liaisons user et groups (simple)
##########################################################################################
/* Défini la ressource utilisée par la classe GroupUser (qui gére l'association d'un utilisateur à un groupe) */
define ('DATA_ACCES_MANAGER_GROUP_USER', "db");
define ('DATA_ACCES_TABLE_GROUP_USER', DATA_ACCES_TABLE_PREFIX ."group_user");

##########################################################################################
# Configuration des Droits
##########################################################################################
/* Défini la ressource utilisée par la classe Right (qui gére les droits d'accès) */
define ('DATA_ACCES_MANAGER_RIGHT', "db");
define ('DATA_ACCES_TABLE_RIGHT', DATA_ACCES_TABLE_PREFIX."right");

##########################################################################################
# Configuration des NodeGroupUser (point d'entrée dans l'arborescence)
##########################################################################################
/* Défini la ressource utilisée par la classe NodeGroupUser (qui gère les points d'entrées utilisateur) */
define ('DATA_ACCES_MANAGER_NODE_GROUP_USER', "db");
define ('DATA_ACCES_TABLE_NODE_GROUP_USER', DATA_ACCES_TABLE_PREFIX ."node_group_user");

##########################################################################################
# Configuration des Coordination object
##########################################################################################
/* Défini les sources pour dataobject (élément de l'arborescence de dataobject) */
define ('DATA_ACCES_MANAGER_COORDINATION_OBJ', "db");
define ('DATA_ACCES_TABLE_COORDINATION_OBJ', DATA_ACCES_TABLE_PREFIX."coordination_object");

##########################################################################################
# Configuration de l'arborescence des Noeuds
##########################################################################################
/* Défini la ressource utilisée par la classe TreeNode (qui gére une arborescence utilisateur) */
define ('DATA_ACCES_MANAGER_CACHE_TREE_NODE', "db");
define ('DATA_ACCES_CACHE_TREE_NODE', true);
define ('DATA_ACCES_INFO_TREE_NODE', DATA_ACCES_TABLE_PREFIX ."cache_tree_node");

##########################################################################################
# Configuration de l'arborescence des Noeuds
##########################################################################################
/* Défini la ressource utilisée par la classe TreeGroup (qui gère une arborescence des groups utilisateur) */
define ('DATA_ACCES_MANAGER_CACHE_TREE_GROUP', "db");
define ('DATA_ACCES_CACHE_TREE_GROUP', true);
define ('DATA_ACCES_INFO_TREE_GROUP', DATA_ACCES_TABLE_PREFIX ."cache_tree_group");

##########################################################################################
# Configuration des Permissions
##########################################################################################
/* Défini la ressource utilisée par la classe Permission (qui gère les permissions utilisateur) */
define ('DATA_ACCES_MANAGER_CACHE_PERMISSION', "db");
define ('DATA_ACCES_CACHE_PERMISSION', true);
define ('DATA_ACCES_INFO_PERMISSION', DATA_ACCES_TABLE_PREFIX ."cache_permission");

##########################################################################################
# Configuration des liaisons user et groups (avec gestion des multigroupes)
##########################################################################################
/* Défini la ressource utilisée par la classe ListUserGroup (qui gère les arbres du groupe de l'utilisateur) */
define ('DATA_ACCES_MANAGER_CACHE_LIST_USER_GROUP', "db");
define ('DATA_ACCES_CACHE_LIST_USER_GROUP', true);
define ('DATA_ACCES_INFO_LIST_USER_GROUP', DATA_ACCES_TABLE_PREFIX ."cache_list_user_group");

##########################################################################################
# Configuration des liaisons Node et user/groups (avec gestion des multigroupes)
##########################################################################################
/* Défini la ressource utilisée par la classe ListNodeUserGroup (qui gére les arborescences d'un utilisateur) */
define ('DATA_ACCES_MANAGER_CACHE_LIST_USER_NODE', "db");
define ('DATA_ACCES_CACHE_LIST_USER_NODE', true);
define ('DATA_ACCES_INFO_LIST_USER_NODE', DATA_ACCES_TABLE_PREFIX ."cache_list_user_node");

/* Définition des vars pour la gestion des BD */
define('BEGIN_TRANSACTION', false);
define('END_TRANSACTION',false);
?>
